# The SDK tools have never had a versioned release, but they are updated
# frequently in the upstream repository.
%global         srcname         azure-sdk-tools
%global         commit          a5a4ef4a7adc8c730dd7da2e9e3bdb43c9376586
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})
%global         short_version   0.0.0

Name:           python-%{srcname}
Version:        %{short_version}~git.2.%{shortcommit}
Release:        4%{?dist}
Summary:        Specific tools for Azure SDK for Python testing
License:        MIT and ASL 2.0
URL:            https://github.com/Azure/azure-sdk-for-python/
Source0:        azure-sdk-tools-%{commit}.tar.gz
# The azure-sdk-for-python repository is huge at > 160MB, but we only need ~
# 100KB of source for this package. Use this script to generate a tarball of the
# source code:
# ./generate-devtools-tarball.sh COMMIT_SHA
Source1:        generate-sdk-tools-tarball.sh
# NOTE(mhayden): The testing tools provided with the package are meant for Azure
# SDK's CI processes upstream and are not needed to build this package. This
# package contains test framework helpers for other Azure CLI/SDK packages.
Patch0:         python-azure-sdk-tools-requirements-fix.patch

BuildArch:      noarch


BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
Specific tools for Azure SDK for Python testing}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -p3 -c -n %{srcname}-%{commit}


%build
# Some tools are only used for the Azure SDK CI system and there's no need
# to package those.
rm -rf packaging_tools pypi_tools

# There's a dangling empty setup.py in the devtools_testutils directory.
rm -f devtools_testutils/setup.py

%pyproject_wheel


%install
%pyproject_install

# BZ 2048083: The package metadata causes a provides for version 0.0.0.
rm -rf %{buildroot}%{python3_sitelib}/azure_sdk_tools-0.0.0.dist-info

# Some provided executables are only used internally in Azure SDK's CI.
rm -f %{buildroot}/%{_bindir}/{auto_codegen,auto_package,generate_package,generate_sdk}


%files -n python3-%{srcname}
%doc changelog_generics.md
%license LICENSE.txt
%{python3_sitelib}/devtools_testutils
%{python3_sitelib}/testutils

%changelog
* Fri Feb 04 2022 Major Hayden <major@mhtx.net> - 0.0.0~git.2.a5a4ef4-4
- Fixing bogus provides from BZ 2048083.

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.0~git.2.a5a4ef4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 0.0.0~git.2.a5a4ef4-2
- Move obsoletes into subpackage

* Wed Aug 11 2021 Major Hayden <major@mhtx.net> - 0.0.0~git.2.a5a4ef4
- Update to latest git checkout from 2021-08-11
- Reduce SRPM file size

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 0.0.0~git.1.9d4f5a6
- First package.
